Bug 735992 - OpenId Security vulnerability in Spring Security 3.0.5.RELEASE
Summary: OpenId Security vulnerability in Spring Security 3.0.5.RELEASE
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise WFK Platform 1
Classification: JBoss
Component: Spring
Version: 1.2.0.GA
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Marius Bogoevici
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 11:35 UTC by Karel Piwko
Modified: 2013-03-04 01:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 16:59:58 UTC
Type: ---


Attachments (Terms of Use)

Description Karel Piwko 2011-09-06 11:35:48 UTC
Description of problem:

Spring Security OpenID support contains a security bug.


Version-Release number of selected component (if applicable):

Spring Security 3.0.5.RELEASE

How reproducible:

Always

Steps to Reproduce:
1. Secure your application via 

<dependency>
  <groupId>org.springframework.security</groupId>
  <artifactId>spring-security-openid</artifactId>
  <version>3.0.5.RELEASE</version>
</dependency>
  
Actual results:

Underlying openid4java contains a security bug, as reported in 
http://openid.net/2011/05/05/attribute-exchange-security-alert/

Additional info:

Following artifact has fixed security bug, use it instead of dependency defined by Spring Security module. Multiple dependency modification might be required.

<dependency>
  <groupId>org.openid4java</groupId>
  <artifactId>openid4java</artifactId>
  <version>0.9.6</version>
</dependency>

Comment 1 Marius Bogoevici 2012-02-24 16:37:49 UTC
Confirmed - maybe we should include this in the release notes?

Comment 2 Marius Bogoevici 2012-02-24 16:59:58 UTC
We do not certify Spring Security 3.0.5.RELEASE for WFK2


Note You need to log in before you can comment on or make changes to this bug.